--------------------------------------------------------------------------------
--(C) 2010 C. Montangero
--------------------------------------------------------------------------------

with Spark_IO;
--# inherit Spark_IO;
package Standard_Spark_IO

is

   --------------------------------
   -- Line and Page Control
   --------------------------------

   procedure Std_New_Line (Spacing : in Positive);
   --# global in out Spark_IO.Outputs;
   --# derives Spark_IO.Outputs
   --#    from *, Spacing;

   procedure Std_Skip_Line (Spacing : in Positive);
   --# global in out Spark_IO.Inputs;
   --# derives Spark_IO.Inputs
   --#    from *, Spacing;

   procedure Std_New_Page ;
   --# global in out Spark_IO.Outputs ;
   --# derives Spark_IO.Outputs
   --#    from *;


   -----------------------
   -- Integer Input-Output
   -----------------------

   -- Standard_Spark_IO only supports input-output of
   -- the built-in Integer type Integer

   -------------------------
   -- Operates on Standard_Input. It skips any leading blanks, line terminators,
   -- or page terminators, then reads a plus or a minus sign if present, then
   -- reads according to the syntax of an integer (decimal) literal.
   -- If successful sets Read to True and returns, in the parameter Item,
   -- the Integer that corresponds to the sequence input.
   -- Otherwise sets Read to False and the value of Item is undefined.
   -------------------------

   procedure Std_Get_Integer (Item  :    out Integer;
                              Read  :    out Boolean);
   --# global in out Spark_IO.Inputs;
   --# derives Spark_IO.Inputs, Item, Read
   --#    from Spark_IO.Inputs;

   ---------------------------
   -- Operates on Standard_Output. It outputs the value of the parameter Item
   -- as an integer literal, with no underlines, no exponent, and no leading
   -- zeros (but a single zero for the value zero), and a preceding minus sign
   -- for a negative value.
   -- Leading spaces are first output to make up the difference to the number
   -- characters needed to accomadate Integer'First.
   -- Uses the syntax for decimal literal
   ----------------------------

   procedure Std_Put_Integer (Item  : in Integer );
   --# global in out Spark_IO.Outputs ;
   --# derives Spark_IO.Outputs
   --#    from *, Item;

end Standard_Spark_IO;
